Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.plastic.theme
Class LightGray

    java.lang.Object
      javax.swing.plaf.metal.MetalTheme
          javax.swing.plaf.metal.DefaultMetalTheme
              com.jgoodies.looks.plastic.PlasticTheme
                  com.jgoodies.looks.plastic.theme.SkyBluer
                      com.jgoodies.looks.plastic.theme.DesertBluer
                          com.jgoodies.looks.plastic.theme.ExperienceBlue
                              com.jgoodies.looks.plastic.theme.LightGray

    public class LightGray

extends ExperienceBlue

A very light color theme intended to be used on Windows Vista in Aero style.

Since:
  2.0.3
Version:
  $Revision: 1.9 $
Author:
  Karsten Lentzsch

Field Summary

Fields inherited from class com.jgoodies.looks.plastic.theme.ExperienceBlue
`LUNA_BACKGROUND, LUNA_BACKGROUND_DARKER`

Fields inherited from class com.jgoodies.looks.plastic.PlasticTheme
`BLACK, BRIGHTEN_START, BRIGHTEN_STOP, DARKEN_START, DARKEN_STOP, LT_BRIGHTEN_STOP, LT_DARKEN_STOP, WHITE`

Constructor Summary
`LightGray()`

Method Summary
`void` | `addCustomEntriesToTable(UIDefaults table)`
`ColorUIResource` | `getFocusColor()`
`String` | `getName()`
`protected ColorUIResource` | `getPrimary1()`
`protected ColorUIResource` | `getPrimary2()`
`protected ColorUIResource` | `getPrimary3()`
`protected ColorUIResource` | `getSecondary1()`
`protected ColorUIResource` | `getSecondary2()`
`protected ColorUIResource` | `getSecondary3()`
`ColorUIResource` | `getSimpleInternalFrameBackground()`
`ColorUIResource` | `getTitleTextColor()`

Methods inherited from class com.jgoodies.looks.plastic.theme.ExperienceBlue
`getMenuItemBackground, getMenuSelectedBackground, getMenuSelectedForeground, getPrimaryControlShadow, getToggleButtonCheckColor`

Methods inherited from class com.jgoodies.looks.plastic.theme.DesertBluer
`getHighlightedTextColor, getMenuItemSelectedBackground, getTextHighlightColor`

Methods inherited from class com.jgoodies.looks.plastic.theme.SkyBluer
`getMenuItemSelectedForeground`

Methods inherited from class com.jgoodies.looks.plastic.PlasticTheme
`equals, getBlack, getControlTextFont, getFontSet, getMenuForeground, getMenuTextFont, getSimpleInternalFrameForeground, getSubTextFont, getSystemTextColor, getSystemTextFont, getTitleTextFont, getUserTextFont, getWhite, getWindowTitleFont, hashCode`

Methods inherited from class javax.swing.plaf.metal.MetalTheme
`getAcceleratorForeground, getAcceleratorSelectedForeground, getControl, getControlDarkShadow, getControlDisabled, getControlHighlight, getControlInfo, getControlShadow, getControlTextColor, getDesktopColor, getInactiveControlTextColor, getInactiveSystemTextColor, getMenuBackground, getMenuDisabledForeground, getPrimaryControl, getPrimaryControlDarkShadow, getPrimaryControlHighlight, getPrimaryControlInfo, getSeparatorBackground, getSeparatorForeground, getUserTextColor, getWindowBackground, getWindowTitleBackground, getWindowTitleForeground, getWindowTitleInactiveBackground, getWindowTitleInactiveForeground`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LightGray

    public LightGray()

Method Detail

### getName

    public String getName()

  Overrides:
    `getName` in class `ExperienceBlue`

### getPrimary1

    protected ColorUIResource getPrimary1()

  Overrides:
    `getPrimary1` in class `ExperienceBlue`

### getPrimary2

    protected ColorUIResource getPrimary2()

  Overrides:
    `getPrimary2` in class `ExperienceBlue`

### getPrimary3

    protected ColorUIResource getPrimary3()

  Overrides:
    `getPrimary3` in class `ExperienceBlue`

### getSecondary1

    protected ColorUIResource getSecondary1()

  Overrides:
    `getSecondary1` in class `ExperienceBlue`

### getSecondary2

    protected ColorUIResource getSecondary2()

  Overrides:
    `getSecondary2` in class `ExperienceBlue`

### getSecondary3

    protected ColorUIResource getSecondary3()

  Overrides:
    `getSecondary3` in class `ExperienceBlue`

### getFocusColor

    public ColorUIResource getFocusColor()

  Overrides:
    `getFocusColor` in class `ExperienceBlue`

### getTitleTextColor

    public ColorUIResource getTitleTextColor()

  Overrides:
    `getTitleTextColor` in class `PlasticTheme`

### getSimpleInternalFrameBackground

    public ColorUIResource getSimpleInternalFrameBackground()

  Overrides:
    `getSimpleInternalFrameBackground` in class `PlasticTheme`

### addCustomEntriesToTable

    public void addCustomEntriesToTable(UIDefaults table)

  Overrides:
    `addCustomEntriesToTable` in class `ExperienceBlue`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JGoodies Karsten Lentzsch. All Rights Reserved.